<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'BenefitsIcons',
  props: {
    data: {
      type: Object,
      default: null,
      required: false,
    },
  },
});
</script>

<template>
  <SlpContainer>
    <SlpColumn :cols="data.column_size || 12">
      <div class="container">
        <ul class="container__benefits-list">
          <li
            v-for="benefit in data.benefits"
            :key="benefit.title"
            class="item"
          >
            <!-- the v-if is a temporary workaround for topics pages that have not been updated yet -->
            <SlpIcon
              v-if="data.use_icon_component || benefit.use_icon_component"
              :name="benefit.icon.name"
              :variant="benefit.icon.variant || 'marketing'"
              :alt="benefit.icon.alt"
              size="md"
            />
            <nuxt-img
              v-else
              class="container__benefits-list__icon"
              :src="benefit.icon"
              alt=""
              loading="lazy"
              format="webp"
              quality="99"
            />
            <div class="item__text">
              <SlpTypography variant="heading4-bold" tag="h3">{{
                benefit.title
              }}</SlpTypography>
              <div v-if="benefit.text" v-html="$md.render(benefit.text)"></div>
            </div>
          </li>
        </ul>
        <SlpTypography v-if="data.footer" variant="body1" tag="p">{{
          data.footer
        }}</SlpTypography>
      </div>
    </SlpColumn>
  </SlpContainer>
</template>

<style lang="scss" scoped>
p {
  font-size: 16px;
  line-height: 28px;
}
.container {
  display: flex;
  flex-direction: column;

  &__title {
    font-size: 32px;
    line-height: 36px;
    margin-top: $spacing-24;
    margin-bottom: $spacing-8;

    @media (max-width: $breakpoint-sm) {
      font-size: 24px;
      line-height: 30px;
    }
  }

  &__subtitle:deep p,
  .item__text:deep p {
    margin-bottom: 1em;
    font-size: 16px;
  }

  &__benefits-list {
    max-width: 100%;

    @media (min-width: $breakpoint-md) {
      max-width: 75%;
    }

    .item {
      display: flex;
      margin: $spacing-24 0;

      &__text {
        margin-left: $spacing-24;
        flex: 1;

        h3 {
          font-size: 23px;
          line-height: 28px;

          @media (max-width: $breakpoint-sm) {
            font-size: 19px;
            line-height: 24px;
          }
        }
      }
    }

    &__icon {
      width: $spacing-32;
      height: $spacing-32;
    }
  }
}
</style>
